View Issue Details

IDProjectCategoryView StatusLast Update
0005563GNUnetbuild processpublic2019-02-28 11:17
Reporterng0Assigned Tong0 
PrioritynormalSeveritytweakReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0Fixed in Version0.11.0 
Summary0005563: check for python3.7 for python related tests
DescriptionAfter I have finished the initial port of tests to python3.7, we want to fix the version of python used to one specific version (3.7).
This means you only get to run the tests depending on python when you have python3.7.. This has to be done portable (ie not assume a PEP conformant binary (PEP is "python", I have "python3.7"), and not assume a fixed location, etc).
TagsNo tags attached.

Relationships

related to 0005560 closedChristian Grothoff python3.7 support for test suite 

Activities

ng0

2019-02-13 17:42

developer   ~0013706

child of / related to / whatever: Needs to be able to build with python3.7 first before you can work on this, 0005560 needs to be resolved.

ng0

2019-02-14 18:04

developer   ~0013778

This is done.

What is not done is written in the related ticket + someone double checking it.

Issue History

Date Modified Username Field Change
2019-02-13 17:41 ng0 New Issue
2019-02-13 17:41 ng0 Relationship added child of 0005560
2019-02-13 17:42 ng0 Relationship replaced related to 0005560
2019-02-13 17:42 ng0 Note Added: 0013706
2019-02-14 11:55 Christian Grothoff Severity minor => tweak
2019-02-14 11:55 Christian Grothoff Status new => confirmed
2019-02-14 11:55 Christian Grothoff Product Version => SVN HEAD
2019-02-14 18:04 ng0 Note Added: 0013778
2019-02-14 18:04 ng0 Assigned To => ng0
2019-02-14 18:04 ng0 Status confirmed => resolved
2019-02-14 18:04 ng0 Resolution open => fixed
2019-02-14 18:04 ng0 Fixed in Version => 0.11.0
2019-02-28 11:17 Christian Grothoff Status resolved => closed